# fSSH
fSSH is a program to crack ssh private keys passwords using a dictionary.
Use it only as educational purpose.

![](fssh.gif)

# Installation

```sh
git clone https://code.lacashita.com/sml/fssh
./fssh
```

If you prefer, you can compile the code:

```sh
git clone https://code.lacashita.com/sml/fssh
go build fssh.go
./fssh
```

# Usage

To crack a key:
```sh
fssh -w rockyou.txt -k id_rsa
```
To crack a key using 5 concurrent processes:
```sh
fssh -w rockyou.txt -k id_rsa -c 5
```
To crack a key in verbose mode:
```sh
fssh -w rockyou.txt -k id_rsa -v
```

# Notes
This program has been built to play with Go language.
